# $Id: config.mk,v 1.5 2005/11/10 14:33:03 hin Exp $

OS := $(shell uname)

RECURSIVE_TARGETS=all clean distclean

PORTAUDIO=	$(TOPDIR)/portaudio
ODE=		$(TOPDIR)/ode

ifeq ($(OS),Linux)
LIBGLFW=	-L/usr/X11R6/lib -lglfw -lGL -lGLU -lX11 -lpthread
LIBPORTAUDIO=	-L$(PORTAUDIO)/lib -lportaudio
endif

ifeq ($(OS),Darwin)
LIBGLFW=	-lglfw -framework OpenGL -framework Carbon -framework AGL
LIBPORTAUDIO=	-L$(PORTAUDIO)/lib -lportaudio -framework CoreAudio
endif

ifeq ($(OS),MINGW32_NT-5.1)
# Set this to whereever you've installed GLFW
GLFW=		../glfw
LIBGLFW=	-L$(GLFW)/lib/win32 -lglfw -lopengl32 -lglu32
CXXFLAGS+=	-I$(GLFW)/include
LIBPORTAUDIO=	-L$(PORTAUDIO)/lib -lportaudio -lwinmm
EXESUFFIX=	.exe
endif

ifeq ($(USE_GLFW),Yes)
LDADD+=		$(LIBGLFW)
endif

ifeq ($(USE_PORTAUDIO),Yes)
LDADD+=		$(LIBPORTAUDIO)
CXXFLAGS+=	-I$(PORTAUDIO)/pa_common
endif

ifeq ($(USE_ODE),Yes)
LDADD+=		$(LIBODE)
CXXFLAGS+=	-I$(ODE)/include
endif
